### Method

# Gtk Button set_child

#### Declaration [src]

    void
    gtk_button_set_child (
      GtkButton* button,
      GtkWidget* child
    )

#### Description [src]

Sets the child widget of `button`.

Note that by using this API, you take full responsibility for setting up the proper accessibility label and description information for `button`. Most likely, you’ll either set the accessibility label or description for `button` explicitly, or you’ll set a labelled-by or described-by relations from `child` to `button`.

Sets property | `Gtk.Button:child`

#### Parameters

`child`

  Type: `GtkWidget`

  The child widget.

  The argument can be `NULL`.
  The data is owned by the caller of the method.